USE AdventureWorks2014
GO

WITH cte_LowestQuantities
	 AS 
		(SELECT SUM(quantity) AS Quantity, Productid
		 FROM production.TransactionHistoryArchive
		 GROUP BY productid
		 )



	 SELECT cteQ.Quantity, p.ProductID, p.Name, p.ProductNumber, p.MakeFlag, p.FinishedGoodsFlag, p.Color, p.SafetyStockLevel, p.ReorderPoint, p.StandardCost, p.ListPrice, p.Size, p.SizeUnitMeasureCode, p.WeightUnitMeasureCode, p.Weight, p.DaysToManufacture, p.ProductLine, p.Class, p.Style, p.ProductSubcategoryID, p.ProductModelID, p.SellStartDate, p.SellEndDate, p.DiscontinuedDate, p.rowguid, p.ModifiedDate
	 FROM production.product AS p
		  JOIN cte_LowestQuantities AS cteQ
		  ON p.productid = cteQ.productid
	 WHERE p.MakeFlag = 1
	